For the complete documentation index, see llms.txt. This page is also available as Markdown.

Graph

get

Return direct descendants of a provided node

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
typestring · enumRequired

The type of provided node to retrieve edges for:

  • collection - edges will consist of blueprint nodes based on deployments for provided collection id
  • deployment - edges will consist of blueprint nodes for provided deployment id
  • blueprint - edges will consist of either blueprint nodes (if nested under provided blueprint) or property nodes for provided blueprint id.
Possible values:
idstringRequired

Graph node id to retrieve edges for

Responses
200

List of edges for provided node

application/json

List of edges for provided node

totalnumberRequired
get/api/v1/graph/edges/{type}/{id}
get

Return properties of a provided node alongside with its siblings and parent recursively to the beginning of the graph

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
typestring · enumRequired

The type of provided node to retrieve details for:

  • collection - response will consist of collection details for provided id alongside with its siblings
  • deployment - response will consist of deployment details for provided id alongside with its siblings within same collection, parent collection and its siblings
  • blueprint - response will consist of blueprint details for provided id alongside with its siblings within same deployment, parent deployment, parent collection and their siblings correspondingly
  • property - response will consist of property details for provided id alongside with its siblings within same blueprint, parent blueprint, parent deployment, parent collection and its siblings correspondingly
Possible values:
idstringRequired

Graph node id to retrieve details, siblings and parent for

Query parameters
no_siblingsbooleanOptional

If true, response will not include siblings of provided and parent nodes

Default: false
Responses
200

Detailed node information with graph relations

application/json

Detailed node information with graph relations

or
or
or
get/api/v1/graph/{type}/{id}
get

Return all nodes for provided type

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
typestring · enumRequired

Node type

Possible values:
Query parameters
filterstringOptional

Structure: [key1=value1,key2=value2&value3]

searchstringOptional

Enables searching within the list of node names that match a particular querye.g. my_collection

Responses
200

List of nodes for provided type

application/json

List of nodes for provided type

totalnumberRequired
get/api/v1/graph/{type}
post

Import state from a file

🔒 Requires the create:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
state_filestring · binaryRequired

State file to import

Example: state_file=@path/to/tfstate.json
deployment_namestringOptional

Deployment name for imported state (optional)

Responses
200

Imported state node details

application/json

Imported state node details

typeundefined · enumRequiredPossible values:
idstringRequired

The ID of the blueprint node in the graph

namestringRequired

The package name e.g. @bluebricks/aws-vpc

Example: @bluebricks/aws-vpc
versionstringRequired

The package version e.g. 1.2.3

Example: 1.2.3
relativeIdnumberRequired

The relative ID of the package inside of the parent (-1 if root blueprint)

packageUniqueIdstringOptional

The unique ID of the package

packageTypestring · enumRequired

The type of the package

Possible values:
createdstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

timestampstring · date-timeRequired
iacTypeone ofOptional
or
string · enumOptionalExample: terraformPossible values:
post/api/v1/graph/state/import
delete

Delete imported state

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
deployment_idstringRequired

Deployment id to delete imported state

Responses
200

State deleted successfully

application/json
anyOptional

State deleted successfully

delete/api/v1/graph/state/delete

No content

Last updated